<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet
version="1.0"
xmlns:html="http://www.w3.org/1999/xhtml"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!--
module :
creation of category elements for form

update :
$Id$
fplod 2008-05-06T09:42:31Z aedon.locean-ipsl.upmc.fr (Darwin)
creation
-->

<xsl:template name="category">
 <xsl:param name="id"/>
 <xsl:param name="visu_modif"/>
 <xsl:text>&#xA;</xsl:text>

 <xsl:element name="html:fieldset">
  <xsl:attribute name="xml:id">field_category1_<xsl:value-of select="$id"/></xsl:attribute>
  <xsl:text>&#xA;</xsl:text>
   <xsl:element name="html:legend">
     Category 1
   </xsl:element>
   <xsl:text>&#xA;</xsl:text>
   <xsl:element name="html:input">
    <xsl:attribute name="name">category1_choice1_<xsl:value-of select="$id"/></xsl:attribute>
    <xsl:attribute name="type">checkbox</xsl:attribute>
    <xsl:if test="$visu_modif= 'visu'">
     <xsl:attribute name="readonly">1</xsl:attribute>
    </xsl:if>
    <xsl:if test="./value = 'yes'">
     <xsl:attribute name="checked">1</xsl:attribute>
    </xsl:if>
    <xsl:attribute name="value">choice1</xsl:attribute>
    <xsl:value-of select="'choice1'"/>
   </xsl:element>
   <xsl:element name="html:input">
    <xsl:attribute name="name">category1_choice2_<xsl:value-of select="$id"/></xsl:attribute>
    <xsl:attribute name="type">checkbox</xsl:attribute>
    <xsl:if test="$visu_modif= 'visu'">
     <xsl:attribute name="readonly">1</xsl:attribute>
    </xsl:if>
    <xsl:if test="./value = 'yes'">
     <xsl:attribute name="checked">1</xsl:attribute>
    </xsl:if>
    <xsl:attribute name="value">choice2</xsl:attribute>
    <xsl:value-of select="'choice2'"/>
   </xsl:element>
 </xsl:element>
 <xsl:element name="html:fieldset">
  <xsl:attribute name="xml:id">field_category2_<xsl:value-of select="$id"/></xsl:attribute>
  <xsl:text>&#xA;</xsl:text>
   <xsl:element name="html:legend">
     Category 2
   </xsl:element>
   <xsl:text>&#xA;</xsl:text>
   <xsl:element name="html:input">
    <xsl:attribute name="name">category2_choice1_<xsl:value-of select="$id"/></xsl:attribute>
    <xsl:attribute name="type">checkbox</xsl:attribute>
    <xsl:if test="$visu_modif= 'visu'">
     <xsl:attribute name="readonly">1</xsl:attribute>
    </xsl:if>
    <xsl:if test="./value = 'yes'">
     <xsl:attribute name="checked">1</xsl:attribute>
    </xsl:if>
    <xsl:attribute name="value">choice1</xsl:attribute>
    <xsl:value-of select="'choice1'"/>
   </xsl:element>
   <xsl:element name="html:input">
    <xsl:attribute name="name">category2_choice2_<xsl:value-of select="$id"/></xsl:attribute>
    <xsl:attribute name="type">checkbox</xsl:attribute>
    <xsl:if test="$visu_modif= 'visu'">
     <xsl:attribute name="readonly">1</xsl:attribute>
    </xsl:if>
    <xsl:if test="./value = 'yes'">
     <xsl:attribute name="checked">1</xsl:attribute>
    </xsl:if>
    <xsl:attribute name="value">choice2</xsl:attribute>
    <xsl:value-of select="'choice2'"/>
   </xsl:element>
 </xsl:element>
</xsl:template>
</xsl:stylesheet>
